﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggFriendCircleBasicDb(engine *xorm.Engine) dao.EggFriendCircleBasicDao {
	return &EggFriendCircleBasicDb{Db: engine}
}

type EggFriendCircleBasicDb struct {
	Db *xorm.Engine
}

func (e EggFriendCircleBasicDb) EggFriendCircleBasicGet() (*model.EggFriendCircleBasic, error) {
	var m model.EggFriendCircleBasic
	_, err := e.Db.Where("id >= ?", 1).Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	return &m, nil
}
