package model

type AlipayUserInfo struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid      int64  `json:"uid" xorm:"not null comment('用户id') BIGINT(20)"`
	UserId   string `json:"user_id" xorm:"not null default '' comment('支付宝用户id') CHAR(100)"`
	OpenId   string `json:"open_id" xorm:"not null default '' comment('支付宝用户open_id') CHAR(100)"`
	AppId    string `json:"app_id" xorm:"not null default '' comment('支付宝商户应用appid') CHAR(50)"`
	UserName string `json:"user_name" xorm:"not null comment('支付宝昵称') CHAR(100)"`
	Ext      string `json:"ext" xorm:"not null comment('拓展字段') TEXT"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
