package model

type AdvertisingCallback struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Platform string `json:"platform" xorm:"unique(platform) VARCHAR(255)"`
	Oid      string `json:"oid" xorm:"unique(platform) VARCHAR(255)"`
	Uid      int    `json:"uid" xorm:"default 0 INT(11)"`
	Extra    string `json:"extra" xorm:"VARCHAR(255)"`
	SpaceId  string `json:"space_id" xorm:"VARCHAR(255)"`
	Amount   string `json:"amount" xorm:"VARCHAR(255)"`
	IsRun    int    `json:"is_run" xorm:"default 0 INT(1)"`
}
